本站消息

站长简介/公众号


站长简介:逗比程序员,理工宅男,前每日优鲜python全栈开发工程师,利用周末时间开发出本站,欢迎关注我的微信公众号:幽默盒子,一个专注于搞笑,分享快乐的公众号

  价值13000svip视频教程,java大神匠心打造,零基础java开发工程师视频教程全套,基础+进阶+项目实战,包含课件和源码

  出租广告位,需要合作请联系站长


+关注
已关注

分类  

暂无分类

标签  

暂无标签

日期归档  

暂无数据

来自 Admob 的 Android 清单错误

发布于2021-09-09 14:57     阅读(1005)     评论(0)     点赞(21)     收藏(2)


我正在尝试集成 AdMob,但我已经到了必须将此行添加到清单中的地步,但我不断收到此错误。这是此链接的示例http://code.google.com/mobile/ads/docs/android/fundamentals.html

<activity android:name="com.google.ads.AdActivity"
          android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"/>

错误:错误:不允许字符串类型(在“configChanges”,值为“keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize”)。


解决方案


您必须针对 API 13 (Android 3.2) 进行构建。您将android:minSdkVersion在 Manifest 中保留相同的内容,但您必须针对 3.2 进行构建。

在 Eclipse(我假设?)中,右键单击项目 > 属性 > Android(在左侧)> 然后选择 3.2 并单击“确定”。

这不会导致问题 - 您的应用程序仍然可以在旧设备上正常运行。但一定要小心,确保不要在旧设备上使用新代码。

我通常做的事情是在导出到发布之前将目标切换回我的最小值,确保没有编译错误,然后我将其切换回 3.2 - 只是一个提示。



所属网站分类: 技术文章 > 问答

作者:黑洞官方问答小能手

链接:http://www.javaheidong.com/blog/article/283712/c5f528771ab29d471f90/

来源:java黑洞网

任何形式的转载都请注明出处,如有侵权 一经发现 必将追究其法律责任

21 0
收藏该文
已收藏

评论内容:(最多支持255个字符)